=== debian/changelog ===
slm (0.10-4) unstable; urgency=medium

  * replaced d/po/es.po with the file which Camaleón sent today.
    Closes: #1075995
  * installed nl.po, from Frans Spiesscha, thanks! Closes: #1075877

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 09 Jul 2024 09:06:04 +0200

slm (0.10-3) unstable; urgency=medium

  * modified d/watch: the upstream is now located at
    https://forge.apps.education.fr/georgesk/slm.git
  * replaced d/po/esp.po with the file which Camaleón wrote for slm,
    fixing the strange file d/po/esp.po which was for the package
    kwartz-client. Closes: #1073510

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 Jul 2024 22:38:59 +0200

slm (0.10-2) unstable; urgency=medium

  * applied the changes sent by Camaleón, thanks!
    Closes: #1073510

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 Jul 2024 18:06:30 +0200

slm (0.10-1) unstable; urgency=medium

  * New upstream version 0.10

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 29 Jun 2024 17:53:24 +0200

slm (0.9-3) unstable; urgency=medium

  * added a Spanish translation for debconf, Thanks Camaleón
    Closes: #1073510

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 16 Jun 2024 19:55:32 +0200

slm (0.9-2) unstable; urgency=medium

  * fixed the templates. Closes: #1072820
  * installed Christoph Brinkhaus' de.po translation. Closes: #1072819

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 08 Jun 2024 17:49:03 +0200

slm (0.9-1) unstable; urgency=medium

  * New upstream version 0.9
  * better behavior when the database is quite empty
  * written a manpage for slm-demo

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 07 Jun 2024 19:30:12 +0200

slm (0.8.3-3) unstable; urgency=medium

  * new source upload: some changes were forgotten in the previous upload

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 02 Jun 2024 16:20:21 +0200

slm (0.8.3-2) unstable; urgency=medium

  * new dependency: acl

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Jun 2024 18:22:49 +0200

slm (0.8.3-1) unstable; urgency=medium

  * created autopkgtests
  * new pre-dependency: systemd
  * added slm.prerm and slm.postrm scripts
  * added debconf support for slm/deb (boolean) slm/servername (string)
  * added a dependency on pwgen
  * slm.postinst: + feed a 'yes' to the call of manage.py collectstatic
                  + install the right file settings.py (for production or tests)
                  + manage a sample configuration for apache2
  * New upstream version 0.8.3

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Jun 2024 16:59:20 +0200

slm (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1: added a fixture database for tests

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 24 Apr 2024 15:39:46 +0200

slm (0.7-2) unstable; urgency=medium

  * new dependencies: python3-matplotlib, fonts-dejavu-extra
  * bumped Standards-Version: 4.7.0

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 24 Apr 2024 13:57:47 +0200

slm (0.7-1) unstable; urgency=medium

  * New upstream version 0.7

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 24 Apr 2024 11:04:25 +0200

slm (0.6-1) experimental; urgency=medium

  * New upstream version 0.6

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 03 Mar 2024 19:53:25 +0100

slm (0.5-2) experimental; urgency=medium

  * modification in d/rules: remove __pycache__ during the installation

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 28 Feb 2024 09:05:40 +0100

slm (0.5-1) experimental; urgency=medium

  * Initial release. (Closes: #1064903)

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Feb 2024 22:06:50 +0100
