=== debian/control ===
Source: slm
Section: web
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
 dh-python,
 cleancss,
 pelican,
Standards-Version: 4.7.0
#Homepage: 
Vcs-Browser: https://salsa.debian.org/debian/slm
Vcs-Git: https://salsa.debian.org/debian/slm.git

Package: slm
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 apache2,
 systemd,
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3,
 python3-django,
 gnome-colors-common,
 python3-reportlab,
 python3-lxml,
 fonts-liberation,
 fonts-liberation2,
 python3-svglib,
 sound-icons,
 pelican,
 python3-levenshtein,
 python3-termcolor,
 python3-pyqrcode,
 python3-odf		,
 libjs-jquery,
 libjs-jquery-ui,
 libjs-jquery-ui-touch-punch,
 qrencode,
 python3-pandas,
 python3-pylabels,
 node-html5-qrcode,
 python3-unidecode,
 python3-trml2pdf,
 libapache2-mod-wsgi-py3,
 python3-matplotlib,
 fonts-dejavu-extra,
 pwgen,
 acl,
Description: school library management
 SLM stands for "school library management". It provides a web service
 useful for teams who lend school books to students. Here are some
 features:
 .
  - defining constants for the school, like name, logo, manager's name
  - creating a catalogue of available books
  - managing the inventory of books, each one identified by a unique barcode
  - importing lists of students, with their optional curricula
  - lending quickly a few books to every student, with the help of a
    barcode reader
  - managing the book returns, with the help of a barcode reader
  - replying to some request, like "whom is this book?", list of
    students which still owe books, list of students who have no book
    lended, and so on.
  - every web page comes with a contextual help
