=== debian/tests/control ===
Test-Command: ./manage.py test 2>&1
Depends:
 @
