## slm 1.21

=== Makefile ===
--- 
+++ 
@@ -3,13 +3,24 @@
 DBDIR = $(shell if [ -d /srv/manuels.freeduc.science ]; then echo /srv/manuels.freeduc.science; else echo .; fi)
 SAVEDIR = $(DBDIR)/media/sauvegarde
 
-all: aide/output/index.html
+LOCALES = --locale fr --locale en --locale es
+POFILES = $(shell find locale -name "*.po")
+MOFILES = $(patsubst %.po, %.mo, $(POFILES))
+
+all: aide/output/index.html $(MOFILES)
 
 aide/output/index.html : $(shell ls aide/content/pages/*)
 	make -C aide html
+	@for l in es en; do \
+	  python3 outils/non_traduits.py aide/content/pages $$l; \
+	done
+
+$(MOFILES): $(POFILES)
+	@python3 manage.py compilemessages | grep -v "up to date" || true
 
 clean:
 	find . -name "*~" | xargs rm -f
+	rm -f $(MOFILES)
 
 savedb:
 	@python3 $(DBDIR)/savedb.py $(DBDIR)
@@ -35,3 +46,8 @@
 	rsync -av --delete --exclude="db*" --exclude="*archive*" --exclude="media" * freeduc.science:/srv/manuels.freeduc.science/
 	ssh freeduc.science "cd /srv/manuels.freeduc.science; echo 'yes' | ./manage.py collectstatic; ./manage.py migrate"
 	@echo "prochaines commandes : ssh freeduc.science, puis sudo service apache2 reload, et synchronisation de media/"
+
+MAKEMESSAGE_PARAMS = --extension "html,txt,py, rml" --ignore aide
+messages:
+	./manage.py makemessages $(LOCALES) $(MAKEMESSAGE_PARAMS)
+	./manage.py compilemessages | grep -v "up to date"
