=== debian/changelog ===
slm (1.21-1) unstable; urgency=medium

  * New upstream version 1.21
  * new build-dependency: python3-strictyaml

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 05 Aug 2024 18:57:52 +0200

slm (1.06-2) unstable; urgency=medium

  * modifies the language choice in postinst: English becomes en-us, and
    so on
  * fixed the postinst script

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 28 Jul 2024 11:26:44 +0200

slm (1.06-1) unstable; urgency=medium

  * improved autopkgtests
  * introduced a language choice during the configuration
  * New upstream version 1.06

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 27 Jul 2024 19:12:58 +0200

slm (1.05-1) unstable; urgency=medium

  * added a lintian override for file apropos.html
  * new dependency: python3-pypinyin
  * avoid chown -R in postinst
  * simplified d/rules
  * added "manage.py compilemessages" in Makefile
    + new dependency: gettext ; new build-dependencies: python3-django,
      gettext, python3-levenshtein, python3-pypinyin
  * included locale in d/slm.install
  * modify gestion/version.py according to debian's version alongside dh_install
    + hence: d/rules requires a new build-dependency on bash
  * New upstream version 1.05

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 26 Jul 2024 15:41:04 +0200

slm (0.11-1) unstable; urgency=medium

  * New upstream version 0.11: support for i18n, languages: fr, en, es.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 17 Jul 2024 12:29:23 +0200
