=== debian/control ===
--- 
+++ 
@@ -9,6 +9,12 @@
  dh-python,
  cleancss,
  pelican,
+ python3-django,
+ gettext,
+ bash (>= 5.2),
+ python3-levenshtein,
+ python3-pypinyin,
+ python3-strictyaml,
 Standards-Version: 4.7.0
 #Homepage: 
 Vcs-Browser: https://salsa.debian.org/debian/slm
@@ -46,11 +52,13 @@
  node-html5-qrcode,
  python3-unidecode,
  python3-trml2pdf,
+ python3-pypinyin,
  libapache2-mod-wsgi-py3,
  python3-matplotlib,
  fonts-dejavu-extra,
  pwgen,
  acl,
+ gettext,
 Description: school library management
  SLM stands for "school library management". It provides a web service
  useful for teams who lend school books to students. Here are some
