## slm 1.26

=== debian/changelog ===
slm (1.26-1) unstable; urgency=medium

  * New upstream version 1.26: removed a spurious test file

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 21 Aug 2024 12:57:53 +0200

slm (1.25-1) unstable; urgency=medium

  * New upstream version 1.25

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 20 Aug 2024 22:14:14 +0200

slm (1.24-1) unstable; urgency=medium

  * New upstream version 1.24

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 20 Aug 2024 13:12:40 +0200

slm (1.21-2) unstable; urgency=medium

  * included the Spanish PO file, thanks, Camaleón. Closes:#1077996

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 06 Aug 2024 10:34:58 +0200
