## slm 1.30

=== debian/changelog ===
slm (1.30-1) unstable; urgency=medium

  * installed Christoph Brink's de.po file, thanks !
    Closes: #1080326
  * New upstream version 1.30

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 20 Oct 2024 18:27:42 +0200
