## slm 1.31

=== debian/changelog ===
slm (1.31-1) unstable; urgency=medium

  * New upstream version 1.31
  * removed the dependency on cinnamon-common

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 04 Dec 2024 13:26:45 +0100

slm (1.30-2) unstable; urgency=medium

  * included Frans Spiesschaert's nl.po update, thanks! Closes: #1087214
  * added a dependency on locales, and another on cinnamon-common (for some
    icons)

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 10 Nov 2024 11:33:14 +0100
