## slm 1.32

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	ssh freeduc.science "cd /srv/manuels.freeduc.science; echo 'yes' | ./manage.py collectstatic; ./manage.py migrate"
 	@echo "prochaines commandes : ssh freeduc.science, puis sudo service apache2 reload, et synchronisation de media/"
 
-MAKEMESSAGE_PARAMS = --extension "html,txt,py, rml" --ignore aide
+MAKEMESSAGE_PARAMS = --extension "html,txt,py,rml" --ignore aide/output
 messages:
 	./manage.py makemessages $(LOCALES) $(MAKEMESSAGE_PARAMS)
 	./manage.py compilemessages | grep -v "up to date"
