=== debian/changelog ===
slm (1.32-2) unstable; urgency=medium

  * included Paulo Henrique de Lima Santana' po file, thanks!
    Closes: #1098450

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Feb 2025 20:15:18 +0100

slm (1.32-1) unstable; urgency=medium

  * New upstream version 1.32
  * finally removed any mention of cs-user-accounts.svg; this should fix
    a piuparts issue

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 Dec 2024 18:41:10 +0100
