=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
 Pre-Depends:
  apache2,
  systemd,
+ locales,
 Depends:
  ${misc:Depends},
  ${python3:Depends},
