## slm 2.3

=== debian/changelog ===
slm (2.3-1) unstable; urgency=medium

  * included Carles Pina i Estany's po file, thanks!
    Closes: #1106769
  * New upstream version 2.3

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 27 Aug 2025 18:01:09 +0200

slm (1.32-3) unstable; urgency=medium

  * included Américo Monteiro's po file, thanks!
    Closes: #1101941
  * checked that Camaleón's po file was already taken in account, thanks!
    Closes: #1077996
  * checked that Frans Spiesschaert's po file was already taken in account,
    thanks! Closes: #1087214

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 03 Apr 2025 14:21:29 +0200
