## slm 2.7

=== debian/changelog ===
slm (2.7-1) unstable; urgency=medium

  * New upstream version 2.7
  * Added new dependencies
  * dropped the dependency on node-svgdotjs-svg.panzoom.js, as
    node-svgdotjs-svg.js provides this feature now

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 27 Sep 2025 10:30:00 +0200
