## slm 2.8

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	rm -f $(MOFILES)
 
 savedb:
-	@python3 $(DBDIR)/savedb.py $(DBDIR)
+	@cd $(DBDIR); python3 savedb.py $(DBDIR)
 
 stats_dev:
 	@echo "Décompte des lignes codées par l'auteur"
