=== aide/Makefile ===
--- 
+++ 
@@ -103,5 +103,10 @@
 rsync_coop: publish
 	rsync -e "ssh -p $(SSH_PORT)" -P -rvzc --include tags --cvs-exclude --delete "$(OUTPUTDIR)"/ "$(SSH_USER)@coop.jb:/srv/manuels.coop.jb/aide"
 
+MKSHOTS = from aide.screenshots import screenshots; screenshots('content/images')
 
-.PHONY: html help clean regenerate serve serve-global devserver publish ssh_upload rsync_upload
+screenshots:
+	export VIEW_SELENIUM=1; xvfb-run ../manage.py shell -c "$(MKSHOTS)"
+	cp content/images/fr-fr/*.png content/images
+
+.PHONY: html help clean regenerate serve serve-global devserver publish ssh_upload rsync_upload screenshots
