=== outils/Makefile ===
INTERFACES_UI = $(shell ls *.ui)
INTERFACES_PY = $(patsubst %.ui, Ui_%.py, $(INTERFACES_UI))

all: $(INTERFACES_PY)

Ui_%.py: %.ui
	pyuic6 $< -o $@

clean:
	rm -f $(INTERFACES_PY)
