=== debian/changelog ===
slm (2.8-1) unstable; urgency=medium

  * New upstream version 2.8

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 02 Oct 2025 11:30:37 +0200

slm (2.7-2) unstable; urgency=medium

  * added makemigrations and migrate before the test
  * added the directory fixtures which must be distributed with the package
    if on wants to run autopkgtest

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 02 Oct 2025 10:01:57 +0200
