=== debian/control ===
--- 
+++ 
@@ -54,6 +54,9 @@
  python3-unidecode,
  python3-trml2pdf,
  python3-pypinyin,
+ node-svgdotjs-svg.js,
+ node-svgdotjs-svg.draggable.js,
+ graphviz,
  libapache2-mod-wsgi-py3,
  python3-matplotlib,
  fonts-dejavu-extra,
