=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,9 @@
 	rm -f aide/themes/genus/static/fonts/*
 	rm -f aide/themes/genus/static/css/main.css
 
-SITES_AVAILABLE = $(CURDIR)/debian/slm/etc/apache2/sites-available
+SITES_AVAILABLE = $(CURDIR)/debian/$(PACKAGE)/etc/apache2/sites-available
+STATIC_DIR = $(CURDIR)/debian/$(PACKAGE)/var/lib/slm/gestion/static
+VERSION_PY = $(CURDIR)/debian/$(PACKAGE)/var/lib/slm/gestion/version.py
 override_dh_install:
 	dh_install
 
@@ -21,9 +23,12 @@
 	: # remove CSV files
 	find debian/$(PACKAGE)/ -name '.git*' | xargs rm -f
 
+	: # modify the file gestion/version.py
+	bash debian/modifversion $(VERSION_PY)
+
 	: ############ fix symlinks to absolute locations ###############
-	: ##### for gestion/static/*
-	symlinks=$$(find debian/$(PACKAGE)/var/lib/slm/gestion/static/* -type l); \
+	: ##### for gestion/static/* ####################################
+	symlinks=$$(find $(STATIC_DIR) -type l); \
 	for s in $${symlinks}; do \
 	  t=""; r=$$(realpath $$s); \
 	  r1=$$(echo $$r | sed 's%/%../../../../../../%'); \
