=== debian/tests/control ===
Tests: fr-locale+test
Depends:
 @,
 python3-selenium,
 chromium-driver,
 locales,
Restrictions: needs-sudo
Architecture:
 !armel, !ppc64el, !s390x
