=== debian/watch ===
version=4

# Direct Git.
opts="mode=git" https://forge.apps.education.fr/georgesk-ext/slm.git \
  refs/tags/v([\d\.]+)
