## slm 2.10

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,16 @@
 DESTDIR =
 
-DBDIR = $(shell if [ -d /srv/manuels.freeduc.science ]; then echo /srv/manuels.freeduc.science; else echo .; fi)
+DBDIR0 = $(shell ls -d /srv/manuels*)
+DBDIR = $(shell if [ -d "$(DBDIR0)" ]; then echo $(DBDIR0); else echo .; fi)
 SAVEDIR = $(DBDIR)/media/sauvegarde
 
 LOCALES = --locale fr --locale en --locale es
-POFILES = $(shell find locale -name "*.po")
+POFILES = $(shell [ -d locale ] && find locale -name "*.po")
 MOFILES = $(patsubst %.po, %.mo, $(POFILES))
 
 all: aide/output/index.html $(MOFILES)
 
-aide/output/index.html : $(shell ls aide/content/pages/*)
+aide/output/index.html : $(shell [ -d aide/content/pages ] && ls aide/content/pages/*)
 	make -C aide html
 	@for l in es en; do \
 	  python3 outils/non_traduits.py aide/content/pages $$l; \
