=== debian/changelog ===
slm (2.10-1) unstable; urgency=medium

  * New upstream version 2.10

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 13 Nov 2025 19:28:59 +0100
