## slm 2.11

=== debian/changelog ===
slm (2.11-1) unstable; urgency=medium

  * fixed a bug in prerm script, which deleted gestion/static.
  * New upstream version 2.11

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 27 Nov 2025 12:28:18 +0100
